commit:     82765b0cfd1e3c190abbf392cd2215957c453cfa
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Wed Oct  7 23:13:50 2015 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Thu Oct  8 13:07:20 2015 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=82765b0c

kde5.eclass: Add KDE_DOX_DIR variable

Defaults to ".". Otherwise, use alternative KDE doxygen path

 eclass/kde5.eclass | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/eclass/kde5.eclass b/eclass/kde5.eclass
index 4ba5a77..ecd07a4 100644
--- a/eclass/kde5.eclass
+++ b/eclass/kde5.eclass
@@ -64,6 +64,11 @@ else
        : ${KDE_DOXYGEN:=false}
 fi
 
+# @ECLASS-VARIABLE: KDE_DOX_DIR
+# @DESCRIPTION:
+# Defaults to ".". Otherwise, use alternative KDE doxygen path.
+: ${KDE_DOX_DIR:=.}
+
 # @ECLASS-VARIABLE: KDE_EXAMPLES
 # @DESCRIPTION:
 # If set to "false", unconditionally ignore a top-level examples subdirectory.
@@ -545,7 +550,7 @@ kde5_src_compile() {
 
        # Build doxygen documentation if applicable
        if use_if_iuse doc ; then
-               kgenapidox . || die
+               kgenapidox ${KDE_DOX_DIR} || die
        fi
 }
 

Reply via email to